Public Member Functions | Public Attributes

# wxHeaderButtonParams Struct Reference
[Graphics Device Interface (GDI)]

`#include <wx/renderer.h>`

## Detailed Description

This `struct` can optionally be used with wxRendererNative::DrawHeaderButton() to specify custom values used to draw the text or bitmap label.

##

Library: wxBase
Category: Graphics Device Interface (GDI)

## Public Member Functions
| wxHeaderButtonParams ()
## Public Attributes
wxColour | m_arrowColour
wxColour | m_selectionColour
wxString | m_labelText
wxFont | m_labelFont
wxColour | m_labelColour
wxBitmap | m_labelBitmap
int | m_labelAlignment

List of all members.

## Constructor & Destructor Documentation

wxHeaderButtonParams::wxHeaderButtonParams | ( |  | ) |

## Member Data Documentation

wxColour wxHeaderButtonParams::m_arrowColour

int wxHeaderButtonParams::m_labelAlignment

wxBitmap wxHeaderButtonParams::m_labelBitmap

wxColour wxHeaderButtonParams::m_labelColour

wxFont wxHeaderButtonParams::m_labelFont

wxString wxHeaderButtonParams::m_labelText

wxColour wxHeaderButtonParams::m_selectionColour

|  | [ top ]